<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" >
<head>
<title>{$titre_page} -> Inscription</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<link rel="stylesheet" media="screen" type="text/css" title="Eos Design" href="styles/Dotparking4.css" />
	<script type="text/javascript">
		function writediv(zone, texte)
		{

			document.getElementById(zone).innerHTML = texte;
		}

		function verif_pseudo(pseudo)
		{
			if(pseudo != '')
			{
				if(pseudo.length<3)
				{
					writediv('message_pseudo', '<b>'+pseudo+' :</b> Ce pseudo est trop court (3 caractres minimum)');
					return false;
				}
				else if(pseudo.length>20)
				{
					writediv('message_pseudo', '<b>'+pseudo+' :</b> Ce pseudo est trop long');
					return false;
				}
				else
				{
					writediv('message_pseudo', '<b>'+pseudo+' :</b> Ce pseudo est correct');
					return true;
				}
			}
		}
		
		function verif_pass(pass)
		{
			if(pass != '')
			{
				if(pass.length<3)
				{
					writediv('message_pass', '<b>'+pass+' :</b> Ce mot de passe est trop court (4 caractres minimum)');
					return false;
				}
				else if(pass.length>3)
				{
					writediv('message_pass', '<b>'+pass+' :</b> Ce mot de passe est correct');
					return true;
				}
			}
		}
		function verif_form()
		{
			if (document.formulaire.pseudo.value == "") return false;
			if (document.formulaire.mot_passe.value == "") return false;
			if (document.formulaire.email.value == "") return false;
			if (document.formulaire.nom.value == "") return false;
			if (document.formulaire.prenom.value == "") return false;
			if (document.formulaire.mail_visible.value == "") return false;
			if (document.formulaire.user_id.value == "") return false;
		}
	</script>
	<script language="javascript" type="text/javascript" src="../javascript/verif_search.js"></script>
</head>
<body>
<div id="englobement">
	<div id="header">
		<font class="header">
			<a href="index.php">{$titre_page} -> Inscription</a>
		</font>
	</div>

	<div id="inovabar">
		<div class="inovabar">
			{include file="eos_menu.tpl"}
		</div>
	</div>
	
	<div id="ensemble_gal">
	<h3>Inscription</h3>
	{if($_SERVER['REQUEST_METHOD'] == "POST")}
		<p class="message">{$message}</p>
	{else}
		<p>
			<form method="post" name="formulaire" action="index.php?act=register" onsubmit="return verif_form();">
				<p>
					<label>Pseudo : <br />
						<input type="text" name="pseudo" id="pseudo" onKeyUp="verif_pseudo(this.value)"  onsubmit="return VerifForm(this);" size="25" />
					</label>
					<div id="message_pseudo"></div>
				</p>
				<p>
					<label>Mot de passe :<br />
						<input type="text" name="mot_passe" id="mot_passe" onKeyUp="verif_pass(this.value)" size="25" />
					</label>
					<div id="message_pass"></div>
				</p>
				<p>
					<label>Courriel : <br />
						<input type="text" name="email" id="email" size="25" />
					</label>
				</p>
				<p>
					<label>Nom : <br />
						<input type="text" name="nom" id="nom" size="25" value="Priv"/>
					</label>
				</p>
				<p>
					<label>Prnom : <br />
						<input type="text" name="prenom" id="prenom" size="25" value="Priv"/>
					</label>
				</p>
				<p>
					Voulez-vous que votre adresse e-mail soit visible par tous ?
					<input type="radio" name="mail_visible" value="1" checked="checked" /> Oui
					<input type="radio" name="mail_visible" value="0" /> Non
				</p>
				<p>
					<img src="libs/captcha_image.php" id="gotcha-captcha" alt="Image Captcha" /><br/>
					<label for="code">Code: </label><br/>
					<input type="text" name="code" id="code" />
				</p>
				<input type="submit" name="inscription" value="Valider" />
			</form>
		</p>
	{/if}
	</div>
	<div id="footer">
		Propuls par <a href="http://inova-blog.forum-phenix.info/" target="_blank">Eos Gallery</a>
	</div>
</div>
</body>
</html>